var token;
var api ="randomail.net";
var lang;
$(document).ready(function () {
    set_language();
    $.support.cors  = true;
    $.mobile.allowCrossDomainPages = true;
    loader();
    
});

function set_language()
{
    lang='en';
    $( "*:lang(en)" ).addClass("hidden");
    $( "*:lang(fr)" ).addClass("hidden");
    
    if ( navigator && navigator.userAgent
        && (lang = navigator.userAgent.match(/android.*\W(\w\w)-(\w\w)\W/i))
       ) {
        lang = lang[1];
    }
    
    if (!lang && navigator) {
        if (navigator.language) {
            lang = navigator.language;
        } else if (navigator.browserLanguage) {
            lang = navigator.browserLanguage;
        } else if (navigator.systemLanguage) {
            lang = navigator.systemLanguage;
        } else if (navigator.userLanguage) {
            lang = navigator.userLanguage;
        }
            lang = lang.substr(0, 2);
    }
    
    $( "*:lang("+lang+")" ).addClass("visible");
    
}

function require_valid_token()
{
    var retour=false;
    var error=true;
    
    if (token==null)
    {
        token = window.localStorage.getItem("token");
    }
    
    $.ajax(
        {
            type: "GET",
            url: "https://"+api+"/api/json.php?time="+jQuery.now(),
            data: {
            request :  'is_valid_token',
            key :  'public',
            lang:   lang,
            token:  token
        },
        dataType: "json",
        async: false,
        success: function (msg)
    {
        error=false;
        if(msg.status==1)
        {
            retour=true;
        }
        else
        {
            retour=false;
        }
    }
});
if(error==true)
{
    if(lang="fr")
    {
        alert('Veuillez vérifier votre connexion internet');
    }
    if(lang="en")
    {
        alert('Please check your network connection');
    }
}
return retour;
}


function login() {
    
    $.mobile.showPageLoadingMsg();
    $.ajax(
        {
            type: "GET",
            url: "https://"+api+"/api/json.php?time="+jQuery.now(),
            data: {
            request :  'login',
            key :  'public',
            lang:   lang,
            email:  $('#email').val(),
            password:  $('#password').val(),
        },
        dataType: "json",
        async: false,
        success: function (msg)
    {
        
        $.mobile.hidePageLoadingMsg();
        if (msg.status==0)
        {
            alert(msg.msg);
        }
        else
        {
            token=msg.token;
            window.localStorage.setItem("token", token);
            $.mobile.changePage("#redirections", { transition: "slidedown" });	
            get_redirections('slide');
            $('#password').val('');
        }
    }
});
}
function get_redirections(transition) {
    var color;
    require_valid_token();
    $.mobile.showPageLoadingMsg();
    
    $.ajax(
        {
            type: "GET",
            url: "https://"+api+"/api/json.php?time="+jQuery.now(),
            data: {
            request :  'get_redirections',
            key :  'public',
            lang:   lang,
            token: token,
        },
        dataType: "json",
        async: false,
        success: function (msg)
    {
        
        $.mobile.hidePageLoadingMsg();
        if(msg.status==1)
        {
            $('#content').children().remove('li');
            
            $.each(msg.redirections, function(i,redirection)
                   {
                       if (typeof redirection.redirection != 'undefined')
                       {
                           color="green"; 
                           
                           if (redirection.is_alias == 1)
                           {
                               color="blue";
                           }
                           
                           if (redirection.pause == 1)
                           {
                               color="orange";
                           }
                           
                           $("#content").append($("<li>").append('<img class="circle-button" id="bubble'+i+'" src="https://'+api+'/img/'+color+'_button.png"/><a  href="" onclick="manage(\''+redirection.redirection+'\')" >'+redirection.redirection+'<div style="clear:both;">'+redirection.label+'</div></a>'));
                           $('#content').listview('refresh'); 
                           
                       }
                   });
            
            if( transition=="slide")
            {
                $.mobile.changePage("#redirections", { transition: transition, reverse: true});
            }
            else
            {
                $.mobile.changePage("#redirections", { transition: transition });   
            }
            
        }
    }
});
}

function manage(redirection)
{
    require_valid_token();
    $('#redirection_name').html(redirection);
    
    $.ajax(
        {
            type: "GET",
            url: "https://"+api+"/api/json.php?time="+jQuery.now(),
            data: {
            request :  'get_redirection',
            key :  'public',
            lang:   lang,
            token: token,
            redirect: redirection
        },
        dataType: "json",
        success: function (msg)
    {
        $.mobile.changePage("#manage", { transition: "slide" });
        
        if (msg.redirection.pause == 1)
        {
            if (lang=="fr")
            {
                $('#pause_a').html('Activer');
            }
            if (lang=="en")
            {
                $('#pause_a').html('Activate');
            }
            $("#pause_a").attr("onclick","pause('"+redirection+"', '1')");
            $('#pause_li').attr('data-icon', 'check');
            $('#pause_li .ui-icon').removeClass('ui-icon-minus');
            $('#pause_li .ui-icon').addClass('ui-icon-check');
        }
        else
        {
            if (lang=="fr")
            {
                $('#pause_a').html('Mettre en pause');
            }
            if (lang=="en")
            {
                $('#pause_a').html('Pause');
            }
            $("#pause_a").attr("onclick","pause('"+redirection+"', '0')");
            $('#pause_li').attr('data-icon', 'minus');
            $('#pause_li .ui-icon').removeClass('ui-icon-check');
            $('#pause_li .ui-icon').addClass('ui-icon-minus');
            
        }
        $("#delete").attr("onclick","delete_redirection('"+redirection+"')");
        $("#qrlink").attr("onclick","qrcode('"+redirection+"')");
        
        if (lang=="fr")
        {
            $('#delete').html('Supprimer');
        }
        if (lang=="en")
        {
            $('#delete').html('Delete');
        }
    }
});

}

function qrcode(redirection)
{
    
    
    $('#qrpage').html('<img class="qrcode" src="https://chart.googleapis.com/chart?chs=300x300&chld=M|0&cht=qr&chl='+redirection+'"/>');
    $.mobile.changePage("#qrcode", { transition: "slide" });
}
function loader()
{
    var retour;
    $.mobile.changePage("#login", { transition: "none" });
    
    retour = require_valid_token();
    
    if(retour)
    {
        $.mobile.changePage("#redirections", { transition: "none" });
        get_redirections('none');
    }
    
}

function logout()
{
    token = null;
    window.localStorage.clear();
    $.mobile.changePage("#login", { transition: "none" });
    
    if(lang="fr")
    {
        alert('Vous avez été déconnecté');
    }
    if(lang="fr")
    {
        alert('You have been logout');
    }
}
function pause(redirection, action)
{
    require_valid_token();
    
    $.ajax(
        {
            type: "GET",
            url: "https://"+api+"/api/json.php?time="+jQuery.now(),
            async: false,
            data: {
            request :  'pause',
            key :  'public',
            lang:   lang,
            token: token,
            redirect: redirection,
            action: action
        },
        
        dataType: "json",
        success: function (msg)
    {
        if(msg.status==1)
        {
            $.mobile.changePage("#redirections", { transition: "none" });
            get_redirections('none');   
        }
    }
});
}

function delete_redirection(redirection)
{
    require_valid_token();
    
    $.ajax(
        {
            type: "GET",
            url: "https://"+api+"/api/json.php?time="+jQuery.now(),
            async: false,
            data: {
            request :  'delete',
            key :  'public',
            lang:   lang,
            token: token,
            redirect: redirection,
        },
        
        dataType: "json",
        success: function (msg)
    {
        if(msg.status==1)
        {
            $.mobile.changePage("#redirections", { transition: "flow" });
            get_redirections('none');   
        }
    }
});
}

function delete_redirection(redirection)
{
    require_valid_token();
    
    $.ajax(
        {
            type: "GET",
            url: "https://"+api+"/api/json.php?time="+jQuery.now(),
            async: false,
            data: {
            request :  'delete',
            key :  'public',
            lang:   lang,
            token: token,
            redirect: redirection,
        },
        
        dataType: "json",
        success: function (msg)
    {
        if(msg.status==1)
        {
            $.mobile.changePage("#redirections", { transition: "flow" });
            get_redirections('none');   
        }
    }
});
}

function insert_express_redirection()
{
    require_valid_token();
    $.mobile.showPageLoadingMsg();
    $.ajax(
        {
            type: "GET",
            url: "https://"+api+"/api/json.php?time="+jQuery.now(),
            async: false,
            data: {
            request :  'insert_express_redirection',
            key :  'public',
            lang:   lang,
            token: token,
            label: $('#label').val()
        },
        
        dataType: "json",
        success: function (msg)
    {
        $.mobile.hidePageLoadingMsg();
        if(msg.status==1)
        {
            $('#label').val('');
            $.mobile.changePage("#redirections", { transition: "slideup" });
            get_redirections('none');   
        }
        else
        {
            alert(msg.msg);
        }
    }
});
}